@echo off
REM -- First make map file from Microsoft Visual C++ generated resource.h
echo // MAKEHELP.BAT generated Help Map file.  Used by BEMSOLVE.HPJ. >"hlp\BemSolve.hm"
echo. >>"hlp\BemSolve.hm"
echo // Commands (ID_* and IDM_*) >>"hlp\BemSolve.hm"
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 resource.h >>"hlp\BemSolve.hm"
echo. >>"hlp\BemSolve.hm"
echo // Prompts (IDP_*) >>"hlp\BemSolve.hm"
makehm IDP_,HIDP_,0x30000 resource.h >>"hlp\BemSolve.hm"
echo. >>"hlp\BemSolve.hm"
echo // Resources (IDR_*) >>"hlp\BemSolve.hm"
makehm IDR_,HIDR_,0x20000 resource.h >>"hlp\BemSolve.hm"
echo. >>"hlp\BemSolve.hm"
echo // Dialogs (IDD_*) >>"hlp\BemSolve.hm"
makehm IDD_,HIDD_,0x20000 resource.h >>"hlp\BemSolve.hm"
echo. >>"hlp\BemSolve.hm"
echo // Frame Controls (IDW_*) >>"hlp\BemSolve.hm"
makehm IDW_,HIDW_,0x50000 resource.h >>"hlp\BemSolve.hm"
REM -- Make help for Project BEMSOLVE


echo Building Win32 Help files
start /wait hcrtf -x "hlp\BemSolve.hpj"
echo.
if exist Debug\nul copy "hlp\BemSolve.hlp" Debug
if exist Debug\nul copy "hlp\BemSolve.cnt" Debug
if exist Release\nul copy "hlp\BemSolve.hlp" Release
if exist Release\nul copy "hlp\BemSolve.cnt" Release
echo.


